# random-access-file

Continuous reading or writing to a file using random offsets and lengths

	npm install random-access-file

# Why?

If you are receiving a file in multiple pieces in a distributed system it can be
useful to write these pieces to disk one by one in various places throughout the file
without having to open and close a file descriptor all the time.

**random-access-file** allows you to do just this.

# It is easy to use

``` js
var raf = require('random-access-file');

var file = raf('my-file.txt', {
	size: 1024 // if a size is given the file will be truncted to fit this size
});

file.write(10, new Buffer('hello'), function(err) {
	// write a buffer to offset 10
	file.read(10, 5, function(err, buffer) {
		console.log(buffer); // read 5 bytes from offset 10
	});
});
```

`file` will use an open file descriptor.
When you are done with the file you should call `file.close()`.

## License

MIT
